> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-connect/connection/disconnect.md).

# disconnect

Disconnects the currently selected wallet, clears all session data, and removes cached address data from local storage.

***

### Usage

```ts
import { disconnect } from '@stacks/connect';

disconnect();
```

#### Notes

* If the currently selected provider supports a custom `disconnect` method (e.g. WalletConnect), it will be called first.
* The selected provider ID is cleared, so subsequent calls to [`request`](/reference/stacks.js/stacks-connect/request/request.md) will prompt wallet selection again.
* All data stored via [`getLocalStorage`](/reference/stacks.js/stacks-connect/storage/getlocalstorage.md) is removed.
* The legacy `UserSession` data is also deleted.

[**Reference Link**](https://github.com/stx-labs/connect/blob/main/packages/connect/src/storage.ts#L105)

***

### Signature

```ts
function disconnect(): void
```

***

### Returns

`void`

This function does not return a value.

***

### Parameters

This function takes no parameters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-connect/connection/disconnect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
